-- MySQL Script generated by MySQL Workbench
-- jeu. 19 nov. 2020 15:54:22 CET
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Schema Woofing
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema Woofing
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `Woofing` DEFAULT CHARACTER SET utf8 ;
USE `Woofing` ;

-- -----------------------------------------------------
-- Table `Woofing`.`User`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Woofing`.`User` (
  `Id` INT NOT NULL AUTO_INCREMENT,
  `username` VARCHAR(80) NOT NULL,
  `email` VARCHAR(100) NOT NULL,
  `password` VARCHAR(100) NOT NULL,
  `hote` TINYINT(1) NULL,
  `place_of_life_Id` INT NULL,
  PRIMARY KEY (`Id`),
  CONSTRAINT `fk_user_place_of_life1`
    FOREIGN KEY (`place_of_life_Id`)
    REFERENCES `Woofing`.`Place_of_life` (`Id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION);


-- -----------------------------------------------------
-- Table `Woofing`.`Voluntary`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Woofing`.`Voluntary` (
  `Id` INT NOT NULL AUTO_INCREMENT,
  `skills_level` INT NOT NULL,
  `present` TINYINT(1) NOT NULL,
  `user_place_of_life_Id` INT NULL,
  PRIMARY KEY (`Id`),
  INDEX `fk_Voluntary_user1_idx` (`user_place_of_life_Id` ASC),
  CONSTRAINT `fk_Voluntary_user1`
    FOREIGN KEY (`user_place_of_life_Id`)
    REFERENCES `Woofing`.`User` (`place_of_life_Id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION);


-- -----------------------------------------------------
-- Table `Woofing`.`Construction_site_has_voluntary`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Woofing`.`Construction_site_has_voluntary` (
  `Id` INT NOT NULL AUTO_INCREMENT,
  `voluntary_Id` INT NULL,
  INDEX `fk_Chantier_has_Voluntary_Voluntary1_idx` (`voluntary_Id` ASC),
  PRIMARY KEY (`Id`),
  CONSTRAINT `fk_Chantier_has_Voluntary_Voluntary1`
    FOREIGN KEY (`voluntary_Id`)
    REFERENCES `Woofing`.`Voluntary` (`Id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION);


-- -----------------------------------------------------
-- Table `Woofing`.`Construction_site`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Woofing`.`Construction_site` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `activity_type` VARCHAR(300) NOT NULL,
  `start_date` DATE NOT NULL,
  `end_date` DATE NOT NULL,
  `construction_site_has_voluntary_id` INT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_Construction_site_Construction_site_has_Voluntary1_idx` (`construction_site_has_voluntary_id` ASC),
  CONSTRAINT `fk_Construction_site_Construction_site_has_Voluntary1`
    FOREIGN KEY (`construction_site_has_voluntary_id`)
    REFERENCES `Woofing`.`Construction_site_has_voluntary` (`voluntary_Id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION);


-- -----------------------------------------------------
-- Table `Woofing`.`Skills`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Woofing`.`Skills` (
  `Id` INT NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(100) NOT NULL,
  PRIMARY KEY (`Id`));


-- -----------------------------------------------------
-- Table `Woofing`.`Place_of_life`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Woofing`.`Place_of_life` (
  `Id` INT NOT NULL AUTO_INCREMENT,
  `life_type` VARCHAR(255) NOT NULL,
  `adress` VARCHAR(255) NOT NULL,
  `capacity` INT NOT NULL,
  `construction_site_Id` INT NULL,
  `skills_Id` INT NULL,
  PRIMARY KEY (`Id`),
  INDEX `fk_place_of_life_Construction_site1_idx` (`construction_site_Id` ASC),
  INDEX `fk_place_of_life_Skills1_idx` (`skills_Id` ASC),
  CONSTRAINT `fk_place_of_life_Construction_site1`
    FOREIGN KEY (`construction_site_Id`)
    REFERENCES `Woofing`.`Construction_site` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_place_of_life_Skills1`
    FOREIGN KEY (`skills_Id`)
    REFERENCES `Woofing`.`Skills` (`Id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION);


-- -----------------------------------------------------
-- Table `Woofing`.`Voluntary_has_Skills`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Woofing`.`Voluntary_has_Skills` (
  `Id` INT NOT NULL AUTO_INCREMENT,
  `Voluntary_Id` INT NULL,
  `Skills_Id` INT NULL,
  INDEX `fk_Voluntary_has_Skills_Skills1_idx` (`Skills_Id` ASC),
  INDEX `fk_Voluntary_has_Skills_Voluntary1_idx` (`Voluntary_Id` ASC),
  PRIMARY KEY (`Id`),
  CONSTRAINT `fk_Voluntary_has_Skills_Voluntary1`
    FOREIGN KEY (`Voluntary_Id`)
    REFERENCES `Woofing`.`Voluntary` (`Id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_Voluntary_has_Skills_Skills1`
    FOREIGN KEY (`Skills_Id`)
    REFERENCES `Woofing`.`Skills` (`Id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION);


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
